searchNodes=[{"doc":"Documentation for AppwriteElixir .","ref":"AppwriteElixir.html","title":"AppwriteElixir","type":"module"},{"doc":"The Account service allows you to authenticate and manage a user account. You can use the account service to update user information, retrieve the user sessions across different devices, and fetch the user security logs with his or her recent activity. You can authenticate the user account by using multiple sign-in methods available. Once the user is authenticated, a new session object will be created to allow the user to access his or her private data and settings.","ref":"AppwriteElixir.Services.Accounts.html","title":"AppwriteElixir.Services.Accounts","type":"module"},{"doc":"","ref":"AppwriteElixir.Services.Accounts.html#create_user/0","title":"AppwriteElixir.Services.Accounts.create_user/0","type":"function"},{"doc":"The Avatars service aims to help you complete everyday tasks related to your app image, icons, and avatars. The Avatars service allows you to fetch country flags, browser icons, payment methods logos, remote websites favicons, generate QR codes, and manipulate remote images URLs. All endpoints in this service allow you to resize, crop, and change the output image quality for maximum performance and visibility in your app.","ref":"AppwriteElixir.Services.Avatars.html","title":"AppwriteElixir.Services.Avatars","type":"module"},{"doc":"The Database service allows you to create structured collections of documents, query and filter lists of documents, and manage an advanced set of read and write access permissions. All the data in the database service is stored in structured JSON documents. The Appwrite database service also allows you to nest child documents in parent documents and use deep filters to both search and query your data. Each database document structure in your project is defined using the Appwrite collection rules. The collections rules help you ensure all your user-submitted data is validated and stored according to the collection structure. Using Appwrite permissions architecture, you can assign read or write access to each document in your project for either a specific user, team, user role, or even grant it with public access (*).","ref":"AppwriteElixir.Services.Database.html","title":"AppwriteElixir.Services.Database","type":"module"},{"doc":"The Functions service allows you to create custom behaviour that can be triggered by any supported Appwrite system events or by a predefined schedule. Appwrite Cloud Functions lets you automatically run backend code in response to events triggered by Appwrite or by setting it to be executed in a predefined schedule. Your code is stored in a secure way on your Appwrite instance and is executed in an isolated environment.","ref":"AppwriteElixir.Services.Functions.html","title":"AppwriteElixir.Services.Functions","type":"module"},{"doc":"","ref":"AppwriteElixir.Services.Generics.html","title":"AppwriteElixir.Services.Generics","type":"module"},{"doc":"","ref":"AppwriteElixir.Services.Generics.html#get/1","title":"AppwriteElixir.Services.Generics.get/1","type":"function"},{"doc":"","ref":"AppwriteElixir.Services.Generics.html#post/2","title":"AppwriteElixir.Services.Generics.post/2","type":"function"},{"doc":"The Health service is designed to allow you to both validate and monitor that your Appwrite server instance and all of its internal components are up and responsive.","ref":"AppwriteElixir.Services.Health.html","title":"AppwriteElixir.Services.Health","type":"module"},{"doc":"The Locale service allows you to customize your app based on your users' location. Using this service, you can get your users' location, IP address, list of countries and continents names, phone codes, currencies, and more. The user service supports multiple locales. This feature allows you to fetch countries and continents information in your app language.","ref":"AppwriteElixir.Services.Localization.html","title":"AppwriteElixir.Services.Localization","type":"module"},{"doc":"The Storage service allows you to manage your project files. Using the Storage service, you can upload, view, download, and query all your project files. Each file in the service is granted with read and write permissions to manage who has access to view or edit it. You can also learn more about how to manage your resources permissions. The preview endpoint allows you to generate preview images for your files. Using the preview endpoint, you can also manipulate the resulting image so that it will fit perfectly inside your app in terms of dimensions, file size, and style. The preview endpoint also allows you to change the resulting image file format for better compression or image quality for better delivery over the network.","ref":"AppwriteElixir.Services.Storage.html","title":"AppwriteElixir.Services.Storage","type":"module"},{"doc":"The Teams service allows you to group users of your project and to enable them to share read and write access to your project resources, such as database documents or storage files. Each user who creates a team becomes the team owner and can delegate the ownership role by inviting a new team member. Only team owners can invite new users to their team.","ref":"AppwriteElixir.Services.Teams.html","title":"AppwriteElixir.Services.Teams","type":"module"},{"doc":"The Users service allows you to manage your project users. Use this service to search, block, and view your users' info, current sessions, and latest activity logs. You can also use the Users service to edit your users' preferences and personal info.","ref":"AppwriteElixir.Services.Users.html","title":"AppwriteElixir.Services.Users","type":"module"},{"doc":"Get a list of all the project's users. You can use the query params to filter your results.","ref":"AppwriteElixir.Services.Users.html#get_all_users/0","title":"AppwriteElixir.Services.Users.get_all_users/0","type":"function"},{"doc":"Get a user by its unique ID.","ref":"AppwriteElixir.Services.Users.html#get_one_user/1","title":"AppwriteElixir.Services.Users.get_one_user/1","type":"function"},{"doc":"Get a user activity logs list by its unique ID.","ref":"AppwriteElixir.Services.Users.html#get_user_logs/1","title":"AppwriteElixir.Services.Users.get_user_logs/1","type":"function"},{"doc":"Get the user preferences by its unique ID.","ref":"AppwriteElixir.Services.Users.html#get_user_prefs/1","title":"AppwriteElixir.Services.Users.get_user_prefs/1","type":"function"},{"doc":"Get the user sessions list by its unique ID.","ref":"AppwriteElixir.Services.Users.html#get_user_sessions/1","title":"AppwriteElixir.Services.Users.get_user_sessions/1","type":"function"},{"doc":"","ref":"AppwriteElixir.Services.Users.html#t:log/0","title":"AppwriteElixir.Services.Users.log/0","type":"type"},{"doc":"","ref":"AppwriteElixir.Services.Users.html#t:session_list_object/0","title":"AppwriteElixir.Services.Users.session_list_object/0","type":"type"},{"doc":"","ref":"AppwriteElixir.Services.Users.html#t:session_object/0","title":"AppwriteElixir.Services.Users.session_object/0","type":"type"},{"doc":"$id: User ID. name: User name. registration: User registration date in Unix timestamp. status: User status. 0 for Unactivated, 1 for active and 2 is blocked. passwordUpdate: Unix timestamp of the most recent password update email: User email address. emailVerification: Email verification status. prefs: User preferences as a key-value object","ref":"AppwriteElixir.Services.Users.html#t:user_object/0","title":"AppwriteElixir.Services.Users.user_object/0","type":"type"},{"doc":"Welcome to our documentation section. Here you will be able to find quick guides to setup and integrate with AppwriteElixir on your Elixir Project. You can also review full and detailed API references to all of our Appwrite's services.","ref":"readme.html","title":"AppwriteElixir","type":"extras"},{"doc":"available in Hex , the package can be installed by adding appwrite_elixir to your list of dependencies in mix.exs : def deps do [ { :appwrite_elixir , &quot;~&gt; 0.1.1&quot; } ] end Then in your config file #config/config.exs config :appwrite_elixr , :project_id &quot;YOUR_PROJECT_ID&quot; , :api_key &quot;YOUR_API_KEY&quot; , :host &quot;YOUR_HOST&quot; # defaults to localhost Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/appwrite_elixir .","ref":"readme.html#installation","title":"AppwriteElixir - Installation","type":"extras"}]